package cn.com.ctop.kuaishou.modules.report.service.impl;

import cn.com.ctop.kuaishou.modules.report.entity.KuaishouReportDailyAgent;
import cn.com.ctop.kuaishou.modules.report.mapper.KuaishouReportDailyAgentMapper;
import cn.com.ctop.kuaishou.modules.report.service.IKuaishouReportDailyAgentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * 代理商日报
 * @author jeecg-boot
 * @date   2019-12-13
 * @version V1.0
 */
@Service
public class KuaishouReportDailyAgentServiceImpl extends ServiceImpl<KuaishouReportDailyAgentMapper, KuaishouReportDailyAgent> implements IKuaishouReportDailyAgentService {
    @Autowired
    private KuaishouReportDailyAgentMapper kuaishouReportDailyAgentMapper;
    @Override
    public void replaceBatch(List<KuaishouReportDailyAgent> list) {
        kuaishouReportDailyAgentMapper.replaceBatch(list);
    }
}
